Bug 844108 - [abrt] python-2.7.3-6.fc17: gmenu_tree_item_ref: Process /usr/bin/python2.7 was killed by signal 11 (SIGSEGV)
[abrt] python-2.7.3-6.fc17: gmenu_tree_item_ref: Process /usr/bin/python2.7 w...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: python (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bohuslav "Slavek" Kabrda
Fedora Extras Quality Assurance
abrt_hash:0fb62d86c66ef762e96371b516e...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-28 19:18 EDT by Michael Windham
Modified: 2013-07-31 15:36 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 15:36:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (5.04 KB, text/plain)
2012-07-28 19:18 EDT, Michael Windham
no flags Details
File: backtrace (41.18 KB, text/plain)
2012-07-28 19:18 EDT, Michael Windham
no flags Details
File: xsession_errors (8.33 KB, text/plain)
2012-07-28 19:18 EDT, Michael Windham
no flags Details
File: maps (33.27 KB, text/plain)
2012-07-28 19:18 EDT, Michael Windham
no flags Details
File: dso_list (11.52 KB, text/plain)
2012-07-28 19:18 EDT, Michael Windham
no flags Details
File: build_ids (4.12 KB, text/plain)
2012-07-28 19:18 EDT, Michael Windham
no flags Details

  None (edit)
Description Michael Windham 2012-07-28 19:18:14 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/bin/python2.7 -OOt /usr/bin/alacarte
comment:        I was viewing and adding items to show on the main menu in the Accessories/Main Menu program when it suddenly vanished from the screen.  I had just clicked on the Sound and Video menu
crash_function: gmenu_tree_item_ref
executable:     /usr/bin/python2.7
kernel:         3.4.6-2.fc17.i686.PAE
pid:            2293
pwd:            /home/mlw
time:           Sat 28 Jul 2012 07:05:22 PM EDT
uid:            1000
username:       mlw

backtrace:      Text file, 42169 bytes
build_ids:      Text file, 4223 bytes
core_backtrace: Text file, 5165 bytes
dso_list:       Text file, 11797 bytes
maps:           Text file, 34069 bytes
xsession_errors: Text file, 8526 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/mlw/4

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=4
:HOSTNAME=localhost.localdomain
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:HARDWARE_PLATFORM=i386
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=99da32c5e3cd4709361e1b8200000008-1343516053.371720-346091573
:QTDIR=/usr/lib/qt-3.3
:GNOME_KEYRING_CONTROL=/run/user//keyring-NHhfDP
:QTINC=/usr/lib/qt-3.3/include
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:USER=
:USERNAME=
:MAIL=/var/spool/mail/
:PATH=/usr/lib/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/mlw/.local/bin:/home/mlw/bin:/home/mlw/usr/local/bin:/home/mlw/usr/bin:/home/mlw/opt/avg/av/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/
:XMODIFIERS=@im=none
:KDE_IS_PRELINKED=1
:GNOME_KEYRING_PID=1374
:LANG=en_US.utf8
:GDM_LANG=en_US.utf8
:KDEDIRS=/usr
:GDMSESSION=gnome
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/
:SHLVL=1
:LOGNAME=
:QTLIB=/usr/lib/qt-3.3/lib
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-8Ct0zFzoiA,guid=3c7d4d7f33813ecdaaf230440000010f
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/
:DISPLAY=:0
:QT_PLUGIN_PATH=/usr/lib64/kde4/plugins:/usr/lib/kde4/plugins
:XAUTHORITY=/var/run/gdm/auth-for--dUF5mT/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1381,unix/unix:/tmp/.ICE-unix/1381
:SSH_AUTH_SOCK=/run/user//keyring-NHhfDP/ssh
:GPG_AGENT_INFO=/run/user//keyring-NHhfDP/gpg:0:1
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/alacarte.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=2293
:DESKTOP_STARTUP_ID=gnome-shell-1603-localhost.localdomain-alacarte-2_TIME558241

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 31881                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       31881                31881                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/mlw/.xsession-errors
:pos:	14244
:flags:	02002
:2:/home/mlw/.xsession-errors
:pos:	14244
:flags:	02002
:3:anon_inode:inotify
:pos:	0
:flags:	02004000
:4:/tmp/ffiF1etx2 (deleted)
:pos:	0
:flags:	02
:5:socket:[30134]
:pos:	0
:flags:	02004002
:6:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:7:socket:[30139]
:pos:	0
:flags:	02004002
:8:socket:[32202]
:pos:	0
:flags:	02000002

smolt_data:
:
:
:General
:=================================
:UUID: 3956ae29-301a-41c6-a5b9-0a5fc5746a88
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.utf8
:Platform: i686
:BogoMIPS: 5984.82
:CPU Vendor: GenuineIntel
:CPU Model: Pentium(R) Dual-Core  CPU      E5700  @ 3.00GHz
:CPU Stepping: 10
:CPU Family: 6
:CPU Model Num: 23
:Number of CPUs: 2
:CPU Speed: 2991
:System Memory: 4001
:System Swap: 0
:Vendor: Shuttle Inc
:System: SG41 V20
:Form factor: Desktop
:Kernel: 3.4.6-2.fc17.i686.PAE
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:10168:4759:16385) pci, None, PCI/ISA, 82801GB/GR (ICH7 Family) LPC Interface Bridge
:(4523:17280:4759:16385) pci, sky2, ETHERNET, 88E8057 PCI-E Gigabit Ethernet Controller
:(32902:11826:4759:16385) pci, i915, VIDEO, 4 Series Chipset Integrated Graphics Controller
:(32902:11827:4759:16385) pci, None, VIDEO, 4 Series Chipset Integrated Graphics Controller
:(32902:10192:4759:16385) pci, pcieport, PCI/PCI, N10/ICH 7 Family PCI Express Port 1
:(32902:10194:4759:16385) pci, pcieport, PCI/PCI, N10/ICH 7 Family PCI Express Port 2
:(32902:10200:4759:16385) pci, snd_hda_intel, MULTIMEDIA, N10/ICH 7 Family High Definition Audio Controller
:(32902:10207:4759:16385) pci, ata_piix, STORAGE, 82801G (ICH7 Family) IDE Controller
:(32902:10202:4759:16385) pci, i801_smbus, SERIAL, N10/ICH 7 Family SMBus Controller
:(32902:9294:4759:16385) pci, None, PCI/PCI, 82801 PCI Bridge
:(32902:10176:4759:16385) pci, ata_piix, STORAGE, N10/ICH7 Family SATA IDE Controller
:(32902:10185:4759:16385) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #2
:(32902:10184:4759:16385) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #1
:(32902:11824:4759:16385) pci, agpgart-intel, HOST/PCI, 4 Series Chipset DRAM Controller
:(32902:10186:4759:16385) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #3
:(32902:10187:4759:16385) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #4
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda3 / ext4 4096 4096 63921659 58080661 54880649 16007168 15507989 15507989
:

var_log_messages:
:Jul 25 14:48:56 localhost abrt[1912]: Saved core dump of pid 1896 (/usr/bin/python2.7) to /var/spool/abrt/ccpp-2012-07-25-14:48:56-1896 (39133184 bytes)
:Jul 28 19:05:22 localhost abrt[2569]: Saved core dump of pid 2293 (/usr/bin/python2.7) to /var/spool/abrt/ccpp-2012-07-28-19:05:22-2293 (16969728 bytes)
Comment 1 Michael Windham 2012-07-28 19:18:19 EDT
Created attachment 600951 [details]
File: core_backtrace
Comment 2 Michael Windham 2012-07-28 19:18:21 EDT
Created attachment 600952 [details]
File: backtrace
Comment 3 Michael Windham 2012-07-28 19:18:22 EDT
Created attachment 600953 [details]
File: xsession_errors
Comment 4 Michael Windham 2012-07-28 19:18:24 EDT
Created attachment 600954 [details]
File: maps
Comment 5 Michael Windham 2012-07-28 19:18:26 EDT
Created attachment 600955 [details]
File: dso_list
Comment 6 Michael Windham 2012-07-28 19:18:28 EDT
Created attachment 600956 [details]
File: build_ids
Comment 7 luigi.caligiuri 2012-11-15 05:53:12 EST
I create a new menu with alacarte

backtrace_rating: 4
Package: python-2.7.3-7.2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 8 Francis Shim 2013-03-26 01:49:17 EDT
From the GNOME 3 shell
   edit the main menu via
     Activities->Applications->Accessories->"Main Menu"

Optionally edit some regular GNOME applications settings...

then select to edit WINE applications

for python2.7 to be killed by signal 11 (SIGSEGV)


backtrace_rating: 4
Package: python-2.7.3-7.2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 9 Fedora Admin XMLRPC Client 2013-05-10 01:03:46 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 10 Fedora Admin XMLRPC Client 2013-05-10 01:04:00 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 11 Fedora Admin XMLRPC Client 2013-05-10 01:07:28 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 12 Fedora Admin XMLRPC Client 2013-05-10 01:15:16 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 13 Fedora Admin XMLRPC Client 2013-05-10 01:15:38 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 14 Fedora End Of Life 2013-07-03 16:09:22 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2013-07-31 15:36:51 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.